Subject: Re: [sipcore] [Technical Errata Reported] RFC5318 (4651)

From: "Ben Campbell" <[email-masked]>
Date: Wed, 30 Mar 2016 15:06:02 -0500

(copying sipcore)

On 30 Mar 2016, at 11:12, Gonzalo Camarillo wrote:

> Hi Brett,
>
> I have the same comment as on the other document. I would talk about the
> name-addr form instead. Let's agree on the text we want to use for the
> three documents, since it is the same issue.
>
> Cheers,
>
> Gonzalo
>
> On 29/03/2016 7:06 PM, Brett Tate wrote:
>> Hi,
>>
>> My proposed resolution is similar to what occurred within RFC 3325 errata
>> (3744 and 3894).
>>
>>> -----Original Message-----
>>> From: RFC Errata System [mailto:[email-masked]]
>>> Sent: Tuesday, March 29, 2016 12:02 PM
>>> To: [email-masked]; [email-masked];
>>> [email-masked]
>>> Cc: [email-masked]; [email-masked]
>>> Subject: [Technical Errata Reported] RFC5318 (4651)
>>>
>>> The following errata report has been submitted for RFC5318, "The Session
>>> Initiation Protocol (SIP) P-Refused-URI-List Private-Header (P-Header)".
>>>
>>> --------------------------------------
>>> You may review the report below and at:
>>> http://www.rfc-editor.org/errata_search.php?rfc=5318&eid=4651
>>>
>>> --------------------------------------
>>> Type: Technical
>>> Reported by: Brett Tate <[email-masked]>
>>>
>>> Section: 5
>>>
>>> Original Text
>>> -------------
>>> The members P-Header parameter MUST contain a cid-url, which is defined
>> in
>>> RFC 2392 [2].
>>>
>>> Corrected Text
>>> --------------
>>> The members P-Header parameter MUST contain a cid-url, which is defined
>> in
>>> RFC 2392 [2].
>>>
>>> If the URI contains a comma, question mark or semicolon, the URI MUST be
>>> enclosed in angle brackets (< and >).
>>>
>>> Notes
>>> -----
>>> Comma and semicolon can cause decode ambiguities when the header
>> contains
>>> addr-spec values instead of name-addr values.  For consistency with RFC
>> 3261
>>> section 20, the same bracket rule is indicated to resolve the ambiguity.
>>>
>>> Instructions:
>>> -------------
>>> This erratum is currently posted as "Reported". If necessary, please use
>>> "Reply All" to discuss whether it should be verified or rejected. When a
>>> decision is reached, the verifying party (IESG) can log in to change the
>>> status and edit the report, if necessary.
>>>
>>> --------------------------------------
>>> RFC5318 (draft-hautakorpi-sipping-uri-list-handling-refused-03)
>>> --------------------------------------
>>> Title               : The Session Initiation Protocol (SIP)
>> P-Refused-URI-
>>> List Private-Header (P-Header)
>>> Publication Date    : December 2008
>>> Author(s)           : J. Hautakorpi, G. Camarillo
>>> Category            : INFORMATIONAL
>>> Source              : IETF - NON WORKING GROUP
>>> Area                : N/A
>>> Stream              : IETF
>>> Verifying Party     : IESG

---

From: Robert Sparks <[email-masked]>
Date: Wed, 30 Mar 2016 16:40:01 -0500

This cluster of errata (4650, 4651, 4652) are on the wrong edge of 
making a technical change from my perspective.

It's a good technical change to make, and it _should_ have been stated 
as such in the documents the errata are filed against, but it is still a 
technical change.

I would prefer the work to clarify the documents be done with a draft 
that goes through IETF LC rather than use errata.

That draft could solve the problem this cluster points to much more 
generally, updating 3261 to require that _anywhere_ name-addr/addr-spec 
are used as alternates, name-addr MUST be used if comma, question mark, 
or semicolon appear. The text could leave an "unless explicitly 
specified otherwise" out.
That draft could have a section capturing the places where we failed to 
say that so far, and update the relevant RFCs (the ones these errata 
point to) as well.

RjS

On 3/30/16 3:06 PM, Ben Campbell wrote:
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore